//========= Copyright © 1996-2005, Valve Corporation, All rights reserved. ============//
//
// Purpose: 
//
// $NoKeywords: $
//=============================================================================//

#include "cbase.h"


//=========================================================
//	>> CSelectionHelper
//=========================================================
class CSelectionHelper : public CBaseEntity
{
	DECLARE_CLASS( CSelectionHelper, CBaseEntity );
	DECLARE_SERVERCLASS();

public:
	CSelectionHelper(void);
	//~CSelectionHelper();

	virtual void Spawn( void );

	int UpdateTransmitState()	// set transmit filter to transmit always
	{
		return SetTransmitState( FL_EDICT_ALWAYS );
	}
};

LINK_ENTITY_TO_CLASS( selection_helper, CSelectionHelper );

IMPLEMENT_SERVERCLASS_ST( CSelectionHelper, DT_SelectionHelper )
END_SEND_TABLE()

//-----------------------------------------------------------------------------
// Purpose: 
//-----------------------------------------------------------------------------
CSelectionHelper::CSelectionHelper()
{
	AddEFlags( EFL_FORCE_CHECK_TRANSMIT );
}

//-----------------------------------------------------------------------------
// Purpose: Called when spawning, after keyvalues have been handled.
//-----------------------------------------------------------------------------
void CSelectionHelper::Spawn()
{
	BaseClass::Spawn();

	SetSolid( SOLID_BBOX );
	UTIL_SetSize(this, Vector(-256,-256,-256), Vector(256,256,256));

	SetCollisionGroup( COLLISION_GROUP_DEBRIS );
	SetBlocksLOS( false );
}
